# class Gdk::WindowAttr

### Public Class Methods

new(width, height, window_class, window_type) click to toggle source

    # File lib/gdk3/window-attr.rb, line 20
    def initialize(width, height, window_class, window_type)
      initialize_raw
      self.width = width
      self.height = height
      self.wclass = window_class
      self.window_type = window_type
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(width, height, window_class, window_type)
Alias for: new